Bug 1553186 - Add RPM support to CRI-O installation
Summary: Add RPM support to CRI-O installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Steve Milner
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1564949
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 13:20 UTC by Scott Dodson
Modified: 2018-08-13 07:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: cri-o can now be installed by rpm package. Reason: Users may want to use cri-o as an rpm to use cri-o as the container runtime. Result: Users can set the following two options and install cri-o as an rpm: openshift_use_crio=True openshift_crio_use_rpm=True
Clone Of:
Environment:
Last Closed: 2018-05-17 06:42:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:43:17 UTC

Description Scott Dodson 2018-03-08 13:20:27 UTC
Description of problem:
Previously we've only supported installing CRI-O as a system container. However we've decided that we should also support installation via RPM.

https://github.com/openshift/openshift-ansible/pull/7425

Comment 2 Scott Dodson 2018-04-04 14:49:25 UTC
Backport to release-3.9 in https://github.com/openshift/openshift-ansible/pull/7461

These changes are in openshift-ansible-3.9.4-1 and later

Comment 3 Gan Huang 2018-04-18 10:09:10 UTC
Per https://bugzilla.redhat.com/show_bug.cgi?id=1564949#c2, moving to verified.

Btw, Devicemapper docker storage driver is not compatible with dockergc per bug 1568772, we'd better to document it if we're going to fix in 3.9.z.

Comment 5 Gan Huang 2018-04-20 03:29:11 UTC
Fix is in openshift-ansible-3.9.24-1.git.0.d0289ea.el7

Per comment 3, moving to verified.

Comment 8 errata-xmlrpc 2018-05-17 06:42:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.